Subject: RE: [Sipping-tispan] Terminal vs UA

From: "Drage, Keith (Keith)" <[email-masked]>
Date: Sun, 16 Oct 2005 20:54:17 +0100

The main requirement that constrains some of these things to be built like the ISDN/PSTN services is the need to be able to interwork with them, represented by one of the earliest requirements in the requirements draft.

There is also a requirement to also be able to represent at least the functionality of the existing PSTN service to the end user, on the basis that this is the service they know how to use. Even the existing SIP protocol has a "180 (Ringing) indication" due to the need to represent some form of state the user understands from the existing telephony world.

I agree we have to analyse all requirements to ensure that we are not building in requirements based on unnecessary implementation constraints, but at least from the TISPAN side, there is not a great desire to build some of these services so that they have all the bells and whistles that one could imagine. Much of this is still the need to keep the capabilities limited to what is useful and avoid over complexity.

regards

Keith

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of Dean Willis
> Sent: 13 October 2005 20:33
> To: Stupka, Jean-Marie
> Cc: [email-masked]
> Subject: Re: [Sipping-tispan] Terminal vs UA
> 
> 
> 
> On Oct 4, 2005, at 3:55 AM, Stupka, Jean-Marie wrote:
> 
> > For me "terminal" and "UA" are equivalent  -- I would like to  
> > continue using
> > the same features if I replace my ISDN terminals with SIP terminals.
> 
> Here I think we have the heart of the debate -- some might ask:
> 
> When replacing a cart-and-horse with an automobile, should one  
> continue to demand features like "drives with reins", "eats hay",  
> "gets bored and wanders off if not tied down", and "leaves horse- 
> muffins in yard"? (That's "simulation")
> 
> Or is it acceptable to suggest that one should concentrate on the  
> "mission-critical" functions, like "can be driven to town to buy  
> groceries"? (That's "delivers effective results")
> 
> Either way, we have a tendency in this discussion to develop  
> requirements that are far more like: "Must be powered by a  
> quadrupedic propulsion unit that processes hay by grinding it 
> between  
> teeth-like protrusions, fermenting it in a retaining vessel  
> containing enzymes and cellulose-digesting bacteria, passing the  
> remainder through ten meters of semipermeable tubing that places the  
> resulting simple hydrocarbons into solution in a water-based media,  
> circulating the water-based media through the motor system of the  
> propulsion unit, and extracting the energy in the motor 
> system by use  
> of insulin-oxygen reduction of the simple hydrocarbons". (That's  
> "specifying mechanism")
> 
> --
> Dean
> 
> _______________________________________________
> Sipping-tispan mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/sipping-tispan
> 

_______________________________________________
Sipping-tispan mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sipping-tispan